2009年8月27日

[vine-users:079501] Re: 5.0にアップグレードしたらsu出来なくなった

やまだ@越谷です。

On Thu, 27 Aug 2009 14:14:16 +0900
"IWAI, Masaharu" <iwaim.sub@xxxxx> wrote:

> 2009/08/27 13:14 に Yamada Kazuo<yamada@xxxxx> さんは書きました:
> > 4.2から5.0にアップグレードしたらsuコマンドが使用出来なくなりました。
> > /etc/pam.d/su.rpmnewを/etc/pam.d/suに置き換える事で問題が解消されました。

>
> その差分を公開していただくことってできますか?

変更前と変更後のdiffを掛けた結果です。

2c2
< auth sufficient /lib/security/pam_rootok.so
---
> auth sufficient pam_rootok.so
4c4
< #auth sufficient /lib/security/pam_wheel.so trust use_uid
---
> #auth sufficient pam_wheel.so trust use_uid
6,12c6,12
< #auth required /lib/security/pam_wheel.so use_uid
< auth required /lib/security/pam_stack.so service=system-auth
< account required /lib/security/pam_stack.so service=system-auth
< password required /lib/security/pam_stack.so service=system-auth
< session required /lib/security/pam_stack.so service=system-auth
< session optional /lib/security/pam_xauth.so
< auth required /lib/security/pam_wheel.so debug group=wheel
---
> #auth required pam_wheel.so use_uid
> auth include system-auth
> account sufficient pam_succeed_if.so uid = 0 use_uid quiet
> account include system-auth
> password include system-auth
> session include system-auth
> session optional pam_xauth.so

--
0----+----1----+----2----+----3----+----4----+----5----+----6----+----7----#
山田 和雄 MailTo:yamada@xxxxx
Yamada Kazuo

投稿者 xml-rpc : 2009年8月27日 14:24
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/87994
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。